%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 16

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname jinja2

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        3.1.2
Release:        1
Summary:        General purpose template engine for python3
License:        BSD
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/j/%{pkgname}/Jinja2-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}

Requires:       %{python_major}-markupsafe >= 2.1.2

%description
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.


%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:      python3-markupsafe >= 2.1.2

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n Jinja2-%{version}


%build
# NOTHING TO DO

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python_major} -m pytest

%endif


%files
%defattr(-,root,system,-)
%license LICENSE.rst
%doc CHANGES.rst examples
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Tue Sep 19 2023 Ayappan Perumal <ayappap2@in.ibm.com> - 3.1.2-1
- Update to 3.1.2

* Fri Jul 21 2023 Reshma V Kumar <reskumar@in.ibm.com> - 3.0.3-1
- Update to 3.0.3

* Mon Jan 16 2023 Sangeetha Bandi <sanbandi@in.ibm.com> - 2.10.3-2
- Jinja2 for python3.9

* Thu Nov 14 2019 Baanu Tumma <btumma15@in.ibm.com> 2.10.3-1
- Update to latest version, built using python3

* Tue Jun 18 2019 Baanu Tumma <btumma15@in.ibm.com> - 2.10.1-1
- Update to 2.10.1 ( fixed CVE-2016-10745 CVE-2019-10906 )

* Wed May 24 2017 Michael Wilson <michael.a.wilson@atos.net> - 2.9.6-1
- Update to 2.9.6

* Tue Jul 16 2013 Tristan Delhalle <Tristan.Delhalle@ext.bull.net> - 2.7-1
- - first version for AIX V6.1 and higher
